Bug 1465683 - rule_accounts_have_homedir_login_defs has reversed check
rule_accounts_have_homedir_login_defs has reversed check
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide (Show other bugs)
7.4
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Watson Yuuma Sato
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-27 19:25 EDT by Marek Haicman
Modified: 2017-12-12 10:47 EST (History)
5 users (show)

See Also:
Fixed In Version: scap-security-guide-0.1.35-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Haicman 2017-06-27 19:25:55 EDT
Description of problem:
This rule is supposed to check every user is create with home directory. OVAL check is reversed, thus checking for "no home directory created".

Rule is also missing remediation (fortunately, in this case)

Version-Release number of selected component (if applicable):
scap-security-guide-0.1.33-5.el7.noarch

How reproducible:
reliably

Steps to Reproduce:
1. perform scan of rule_accounts_have_homedir_login_defs
2.
3.

Actual results:
login.defs contains CREATE_HOME yes and rule is failing
no remediation is performed when failing

Expected results:
login.defs contains CREATE_HOME yes and rule is passing
remediation fixes the issue

Additional info:
Comment 1 Marek Haicman 2017-08-21 15:58:24 EDT
Fixed in upstream, PR: https://github.com/OpenSCAP/scap-security-guide/pull/1984

Note You need to log in before you can comment on or make changes to this bug.